Package org.zkoss.zk.ui.util

## Class DataHandlerInfo

- java.lang.Object
- - org.zkoss.zk.ui.util.DataHandlerInfo

-     public class DataHandlerInfo
      extends java.lang.Object

  A data handler info for `Configuration` to use.
  Since:
    8.0.0
  Author:
    jumperchen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataHandlerInfo​(java.lang.String name, java.util.List<Pair<java.lang.String,​java.lang.String>> scripts, boolean override, java.util.List<java.util.Map<java.lang.String,​java.lang.String>> links)` | Construct the data handler info

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<java.util.Map<java.lang.String,​java.lang.String>>` | `getLinks()` | Returns a list of link
    `java.lang.String` | `getName()` | Returns the attribute name.
    `java.util.List<Pair<java.lang.String,​java.lang.String>>` | `getScripts()` | Returns a list of Javascript files or the scripts of the data attribute handler.
    `boolean` | `isOverride()` | Returns whether the handler is to override another one.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataHandlerInfo

          public DataHandlerInfo​(java.lang.String name,
                                 java.util.List<Pair<java.lang.String,​java.lang.String>> scripts,
                                 boolean override,
                                 java.util.List<java.util.Map<java.lang.String,​java.lang.String>> links)

      Construct the data handler info
      Parameters:
        `name` - the data attribute name
        `scripts` - a list of Javascript files or the scripts of the data attribute handler (one or many)
        `override` - true if the data handler is to override to another one. (Optional)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the attribute name.

    - #### getScripts

          public java.util.List<Pair<java.lang.String,​java.lang.String>> getScripts()

      Returns a list of Javascript files or the scripts of the data attribute handler.

    - #### isOverride

          public boolean isOverride()

      Returns whether the handler is to override another one.

    - #### getLinks

          public java.util.List<java.util.Map<java.lang.String,​java.lang.String>> getLinks()

      Returns a list of link